History module
Endpoints
Endpoints for managing Call Details Reports, Call Recordings, Chats and Voicemessages
GET
/chats Returns collection of Chat resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/chats HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 695,
"created_at": "2016-12-26 10:08:14",
"customer_id": 7693,
"duration": 3072,
"operator_id": 8443,
"operator_ua": "value",
"state": 4,
"visitor_city": "value",
"visitor_country": "value",
"visitor_email": "value",
"visitor_geo": "value",
"visitor_id": "value",
"visitor_ip": "value",
"visitor_name": "value",
"visitor_referer": "value",
"visitor_ua": "value",
"website_id": 3704
}
],
"total": 59
}
GET
/chats/{id} Returns Chat resource for given Id
Parameters
Endpoint URL:
{id} integerChat identifier
Example Request
GET /v1.1/voipstudio/chats/73 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 6931,
"created_at": "2026-06-27 22:08:45",
"customer_id": 9001,
"duration": 8478,
"operator_id": 4802,
"operator_ua": "value",
"state": 3,
"visitor_city": "value",
"visitor_country": "value",
"visitor_email": "value",
"visitor_geo": "value",
"visitor_id": "value",
"visitor_ip": "value",
"visitor_name": "value",
"visitor_referer": "value",
"visitor_ua": "value",
"website_id": 7407
},
"links": {}
}
DELETE
/chatmsgs/{ids} Deletes given chat message resources
Parameters
Endpoint URL:
{ids} comma separated list of integersResource identifiers
Example Request
DELETE /v1.1/voipstudio/chatmsgs/96,200,498 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
DELETE
/chatmsgs Deletes collection of ChatMsg resources
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/chatmsgs HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 204 OK
GET
/cdrs Returns collection of Cdr resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/cdrs HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 1048,
"billsec": 9895,
"call_id": 9577,
"calldate": "2024-03-08 04:49:26",
"clid": "value",
"context": "value",
"destination": 1,
"disposition": 2,
"dst": "44203846719",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 5678,
"info": "value",
"is_root": true,
"live_id": 7552,
"parent_live_id": 3306,
"root_live_id": 5518,
"server_id": 9459,
"sip_endpoint_id": 529,
"src": "44203846719",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 0,
"user_id": 3814
}
],
"total": 59
}
PATCH
/cdrs [BULK] Updates existing Cdr resources
Parameters
Example Request
PATCH /v1.1/voipstudio/cdrs HTTP/1.1
Host: l7api.com
[
[],
{
"id": 1562
}
]
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 9190,
"billsec": 8438,
"call_id": 8386,
"calldate": "2025-05-31 04:36:53",
"clid": "value",
"context": "value",
"destination": 0,
"disposition": 2,
"dst": "44203846719",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 5662,
"info": "value",
"is_root": true,
"live_id": 7904,
"parent_live_id": 1631,
"root_live_id": 9305,
"server_id": 8890,
"sip_endpoint_id": 9862,
"src": "44203844711",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 2,
"user_id": 6671
},
"links": {}
}
DELETE
/cdrs Deletes collection of Cdr resources
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/cdrs HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 204 OK
GET
/cdrs/calltracking Returns collection of Call Tracking Cdr resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/cdrs/calltracking HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 6597,
"billsec": 9615,
"call_id": 6060,
"calldate": "2018-05-22 16:12:43",
"clid": "value",
"context": "value",
"destination": 2,
"disposition": 1,
"dst": "44203846719",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 5762,
"info": "value",
"is_root": true,
"live_id": 9361,
"parent_live_id": 3116,
"root_live_id": 7433,
"server_id": 8775,
"sip_endpoint_id": 1204,
"src": "12124537768",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 2,
"user_id": 8817
}
],
"total": 59
}
GET
/cdrs/{id} Returns Cdr resource for given Id
Parameters
Endpoint URL:
{id} integerCdr identifier
Example Request
GET /v1.1/voipstudio/cdrs/60 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 3033,
"billsec": 7820,
"call_id": 9816,
"calldate": "2022-04-19 20:33:12",
"clid": "value",
"context": "value",
"destination": 2,
"disposition": 2,
"dst": "32179243705",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 8366,
"info": "value",
"is_root": true,
"live_id": 3301,
"parent_live_id": 4441,
"root_live_id": 7951,
"server_id": 4564,
"sip_endpoint_id": 2590,
"src": "12124537768",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 2,
"user_id": 6858
},
"links": {}
}
GET
/cdrs/{id}.trace Returns Cdr resource as SIP Trace for given Id
Parameters
Endpoint URL:
{id} integerCdr identifier
Example Request
GET /v1.1/voipstudio/cdrs/93.trace HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 7143,
"billsec": 8784,
"call_id": 9651,
"calldate": "2025-09-19 10:03:23",
"clid": "value",
"context": "value",
"destination": 2,
"disposition": 0,
"dst": "12124537768",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 3827,
"info": "value",
"is_root": true,
"live_id": 4196,
"parent_live_id": 7738,
"root_live_id": 2850,
"server_id": 6008,
"sip_endpoint_id": 5260,
"src": "44203844711",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 2,
"user_id": 868
},
"links": {}
}
GET
/cdrs/{id}.pcap Returns Cdr resource as PCAP file for given Id
Parameters
Endpoint URL:
{id} integerCdr identifier
Example Request
GET /v1.1/voipstudio/cdrs/85.pcap HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 3224,
"billsec": 5634,
"call_id": 7170,
"calldate": "2020-01-13 04:42:14",
"clid": "value",
"context": "value",
"destination": 2,
"disposition": 2,
"dst": "44203846719",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 5609,
"info": "value",
"is_root": true,
"live_id": 7811,
"parent_live_id": 5292,
"root_live_id": 7926,
"server_id": 6774,
"sip_endpoint_id": 5207,
"src": "13103345244",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 1,
"user_id": 2576
},
"links": {}
}
GET
/cdrs/dictionaries Returns Dictionary for Cdr resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/cdrs/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Unknown
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 9887,
"billsec": 1032,
"call_id": 3027,
"calldate": "2016-11-15 01:51:37",
"clid": "value",
"context": "value",
"destination": 1,
"disposition": 2,
"dst": "13103345244",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 919,
"info": "value",
"is_root": true,
"live_id": 6132,
"parent_live_id": 2098,
"root_live_id": 905,
"server_id": 590,
"sip_endpoint_id": 3733,
"src": "13103345244",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 3,
"user_id": 6319
}
],
"total": 59
}
GET
/cdrs/{id}/notes Returns Notes for give CDR resource
Parameters
Endpoint URL:
{id} integerCdr identifier
Example Request
GET /v1.1/voipstudio/cdrs/18/notes HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 6251,
"billsec": 5999,
"call_id": 5438,
"calldate": "2021-12-27 14:47:26",
"clid": "value",
"context": "value",
"destination": 0,
"disposition": 1,
"dst": "44203844711",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 7455,
"info": "value",
"is_root": true,
"live_id": 5810,
"parent_live_id": 840,
"root_live_id": 6355,
"server_id": 911,
"sip_endpoint_id": 8389,
"src": "13103345244",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 1,
"user_id": 6954
},
"links": {}
}
GET
/conversations Returns collection of Conversation resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/conversations HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": "value",
"call_flow": "value",
"channel": "value",
"conversation_id": "value",
"created_at": "2022-06-27 13:43:27",
"customer_id": 4370,
"cx_score": 6249,
"dst": "13103345244",
"dst_id": "value",
"dst_name": "value",
"duration": 4318,
"last_activity_at": "2022-06-27 13:37:15",
"last_message": "value",
"last_message_at": "2022-06-27 13:43:52",
"monitor_ids": "value",
"notes": "value",
"object_class": "value",
"object_id": "value",
"ring_time": 8327,
"src": "44203844711",
"src_id": "value",
"src_name": "value",
"type": 4,
"user_id": 4742,
"voicemessage_id": 3754
}
],
"total": 59
}
PATCH
/conversations [BULK] Updates existing Conversation resources
Parameters
JSON body attributes:
id undefined
labels array
notes undefined
Example Request
PATCH /v1.1/voipstudio/conversations HTTP/1.1
Host: l7api.com
[
{
"id": "abcd",
"labels": "abcd",
"notes": "abcd"
},
{
"id": 9379,
"labels": "abcd",
"notes": "abcd"
}
]
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": "value",
"call_flow": "value",
"channel": "value",
"conversation_id": "value",
"created_at": "2021-04-22 09:39:05",
"customer_id": 1626,
"cx_score": 9307,
"dst": "44779243705",
"dst_id": "value",
"dst_name": "value",
"duration": 1855,
"last_activity_at": "2021-04-22 09:28:19",
"last_message": "value",
"last_message_at": "2021-04-22 09:27:13",
"monitor_ids": "value",
"notes": "value",
"object_class": "value",
"object_id": "value",
"ring_time": 1621,
"src": "32179243705",
"src_id": "value",
"src_name": "value",
"type": 0,
"user_id": 2499,
"voicemessage_id": 6915
},
"links": {}
}
GET
/conversations/{id} Returns Conversation Result resource for given Id
Parameters
Endpoint URL:
{id} integerConversation identifier
Example Request
GET /v1.1/voipstudio/conversations/65 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": "value",
"call_flow": "value",
"channel": "value",
"conversation_id": "value",
"created_at": "2018-03-10 22:54:49",
"customer_id": 1195,
"cx_score": 1230,
"dst": "13103345244",
"dst_id": "value",
"dst_name": "value",
"duration": 7818,
"last_activity_at": "2018-03-10 22:51:25",
"last_message": "value",
"last_message_at": "2018-03-10 22:44:13",
"monitor_ids": "value",
"notes": "value",
"object_class": "value",
"object_id": "value",
"ring_time": 1693,
"src": "44779243705",
"src_id": "value",
"src_name": "value",
"type": 5,
"user_id": 5530,
"voicemessage_id": 1959
},
"links": {}
}
PATCH
/conversations/{id}/members Marks a Conversation as read or unread for the authenticated user
Parameters
Endpoint URL:
{id} integerConversation identifier
Example Request
PATCH /v1.1/voipstudio/conversations/19/members HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
404 Resource not found
401 Unauthorized
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": "value",
"call_flow": "value",
"channel": "value",
"conversation_id": "value",
"created_at": "2023-10-24 00:29:07",
"customer_id": 3725,
"cx_score": 4975,
"dst": "12124537768",
"dst_id": "value",
"dst_name": "value",
"duration": 2681,
"last_activity_at": "2023-10-24 00:24:48",
"last_message": "value",
"last_message_at": "2023-10-24 00:36:22",
"monitor_ids": "value",
"notes": "value",
"object_class": "value",
"object_id": "value",
"ring_time": 3148,
"src": "12124537768",
"src_id": "value",
"src_name": "value",
"type": 4,
"user_id": 5812,
"voicemessage_id": 4431
},
"links": {}
}
GET
/monitors Returns collection of Monitor resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/monitors HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 9331,
"call_id": 1956,
"called": "44779243705",
"caller": "13103345244",
"context": "value",
"cx_score": 7900,
"dst": "44203844711",
"dst_id": "value",
"dst_name": "value",
"duration": 6752,
"live_id": 3686,
"sentiment": 1,
"sip_endpoint_id": 1322,
"size": 9774,
"src": "32179243705",
"src_id": "value",
"src_name": "value",
"summary": "value",
"timestamp": "2020-07-16 14:54:14",
"transcript": "value",
"transcript_speakers": "value",
"type": "value",
"user_id": 7263
}
],
"total": 59
}
DELETE
/monitors Deletes all Monitor resources for given customer
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/monitors HTTP/1.1 Host: l7api.com
Responses
202 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 202 OK
GET
/monitors/{id} Returns Monitor resource for given Id
Parameters
Endpoint URL:
{id} integerMonitor identifier
Example Request
GET /v1.1/voipstudio/monitors/85 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 5194,
"call_id": 4495,
"called": "44203844711",
"caller": "44203844711",
"context": "value",
"cx_score": 3558,
"dst": "32179243705",
"dst_id": "value",
"dst_name": "value",
"duration": 4198,
"live_id": 563,
"sentiment": 2,
"sip_endpoint_id": 4667,
"size": 4505,
"src": "13103345244",
"src_id": "value",
"src_name": "value",
"summary": "value",
"timestamp": "2021-08-23 16:34:38",
"transcript": "value",
"transcript_speakers": "value",
"type": "value",
"user_id": 5470
},
"links": {}
}
GET
/monitors/{id}.mp3 Returns Monitor resource for given Id as MP3 audio file
Parameters
Endpoint URL:
{id} integerMonitor identifier
Example Request
GET /v1.1/voipstudio/monitors/37.mp3 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 3865,
"call_id": 7008,
"called": "44203844711",
"caller": "44203844711",
"context": "value",
"cx_score": 2252,
"dst": "44779243705",
"dst_id": "value",
"dst_name": "value",
"duration": 6436,
"live_id": 8272,
"sentiment": 1,
"sip_endpoint_id": 620,
"size": 3109,
"src": "44203844711",
"src_id": "value",
"src_name": "value",
"summary": "value",
"timestamp": "2022-08-26 03:17:39",
"transcript": "value",
"transcript_speakers": "value",
"type": "value",
"user_id": 2792
},
"links": {}
}
DELETE
/monitors/{ids} Deletes given Monitor resources
Parameters
Endpoint URL:
{ids} comma separated list of integersMonitor identifiers
Example Request
DELETE /v1.1/voipstudio/monitors/91,199,484 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
GET
/msdrs Returns collection of Msdr resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/msdrs HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 7724,
"call_id": "value",
"created_at": "2019-11-03 01:22:26",
"dst": "32179243705",
"dst_id": "value",
"dst_ua": "value",
"duration": 3393,
"media_session_id": 4874,
"src": "13103345244",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 3041
}
],
"total": 59
}
GET
/msdrs/{id} Returns Msdr resource for given Id
Parameters
Endpoint URL:
{id} integerMsdr identifier
Example Request
GET /v1.1/voipstudio/msdrs/33 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 9390,
"call_id": "value",
"created_at": "2024-07-30 07:11:01",
"dst": "44203846719",
"dst_id": "value",
"dst_ua": "value",
"duration": 6243,
"media_session_id": 3105,
"src": "44203844711",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 3995
},
"links": {}
}
GET
/msdrs/{id}.trace Returns Msdr resource as SIP Trace for given Id
Parameters
Endpoint URL:
{id} integerMsdr identifier
Example Request
GET /v1.1/voipstudio/msdrs/15.trace HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 9811,
"call_id": "value",
"created_at": "2023-11-17 10:18:24",
"dst": "44203844711",
"dst_id": "value",
"dst_ua": "value",
"duration": 4580,
"media_session_id": 7759,
"src": "13103345244",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 9037
},
"links": {}
}
GET
/msdrs/{id}.pcap Returns Msdr resource as PCAP file for given Id
Parameters
Endpoint URL:
{id} integerMsdr identifier
Example Request
GET /v1.1/voipstudio/msdrs/10.pcap HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 6973,
"call_id": "value",
"created_at": "2019-07-03 01:21:38",
"dst": "13103345244",
"dst_id": "value",
"dst_ua": "value",
"duration": 4968,
"media_session_id": 6178,
"src": "44203844711",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 1614
},
"links": {}
}
GET
/msdrs/dictionaries Returns Dictionary for Msdr resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/msdrs/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Unknown
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 8168,
"call_id": "value",
"created_at": "2024-07-23 11:23:04",
"dst": "44203846719",
"dst_id": "value",
"dst_ua": "value",
"duration": 5950,
"media_session_id": 4252,
"src": "12124537768",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 1865
}
],
"total": 59
}
GET
/offlinemessages Returns collection of OfflineMessage resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/offlinemessages HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 8383,
"chat_id": 4884,
"created_at": "2021-03-12 08:37:58",
"email": "value",
"message": "value",
"name": "value",
"referer": "value",
"visitor_id": "value",
"website_id": 9999
}
],
"total": 59
}
GET
/offlinemessages/{id} Returns OfflineMessage resource for given Id
Parameters
Endpoint URL:
{id} integerOfflineMessage identifier
Example Request
GET /v1.1/voipstudio/offlinemessages/36 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 2810,
"chat_id": 7767,
"created_at": "2018-12-17 13:51:58",
"email": "value",
"message": "value",
"name": "value",
"referer": "value",
"visitor_id": "value",
"website_id": 2042
},
"links": {}
}
DELETE
/statements Deletes collection of Statement resources
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/statements HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 204 OK
GET
/voicemessages Returns collection of Voicemessage resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/voicemessages HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 360,
"caller": "13103345244",
"callerid": "44203846719",
"dialled": "13103345244",
"duration": 2704,
"extension_id": 5189,
"folder": 2,
"is_new": true,
"live_id": 5972,
"origtime": "2017-12-19 09:14:36",
"parent_live_id": 5880,
"transcript": "value"
}
],
"total": 59
}
PATCH
/voicemessages [BULK] Updates folder of existing Voicemessage resources
Parameters
JSON body attributes:
id integer
folder string
Example Request
PATCH /v1.1/voipstudio/voicemessages HTTP/1.1
Host: l7api.com
[
{
"id": 977,
"folder": "abcd"
},
{
"id": 7309,
"folder": "abcd"
}
]
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 1299,
"caller": "44203844711",
"callerid": "32179243705",
"dialled": "44779243705",
"duration": 7648,
"extension_id": 2160,
"folder": 1,
"is_new": true,
"live_id": 6669,
"origtime": "2022-04-02 22:35:36",
"parent_live_id": 3435,
"transcript": "value"
},
"links": {}
}
DELETE
/voicemessages Deletes collection of Voicemessage resources
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/voicemessages HTTP/1.1 Host: l7api.com
Responses
202 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 202 OK
GET
/voicemessages/{id} Returns Voicemessage resource for given Id
Parameters
Endpoint URL:
{id} integerVoicemessage identifier
Example Request
GET /v1.1/voipstudio/voicemessages/92 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 4749,
"caller": "44779243705",
"callerid": "44203846719",
"dialled": "12124537768",
"duration": 8431,
"extension_id": 97,
"folder": 2,
"is_new": true,
"live_id": 9609,
"origtime": "2024-04-14 11:29:41",
"parent_live_id": 3280,
"transcript": "value"
},
"links": {}
}
GET
/voicemessages/{id}.mp3 Returns Voicemessage MP3 file for given Id
Parameters
Endpoint URL:
{id} integerVoicemessage identifier
Example Request
GET /v1.1/voipstudio/voicemessages/95.mp3 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 9480,
"caller": "13103345244",
"callerid": "32179243705",
"dialled": "44779243705",
"duration": 1248,
"extension_id": 1441,
"folder": 2,
"is_new": true,
"live_id": 5610,
"origtime": "2016-10-17 01:34:57",
"parent_live_id": 639,
"transcript": "value"
},
"links": {}
}
DELETE
/voicemessages/{ids} Deletes given voicemessage resources
Parameters
Endpoint URL:
{ids} comma separated list of integersVoicemessage identifiers
Example Request
DELETE /v1.1/voipstudio/voicemessages/99,173,461 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
GET
/sms/dictionaries Returns Dictionary for SMS resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/sms/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Unknown
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 7413,
"conversation_id": "value",
"created_at": "2021-02-25 02:00:35",
"from": "44779243705",
"from_id": "value",
"from_name": "value",
"message": "value",
"result": "value",
"to": "13103345244",
"to_id": "value",
"to_name": "value",
"type": "value",
"user_id": 3580
}
],
"total": 59
}
GET
/calltracking/cdrs Returns collection of Call Tracking Cdr resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/calltracking/cdrs HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 6150,
"billsec": 347,
"call_id": 7204,
"calldate": "2024-08-03 17:43:09",
"clid": "value",
"context": "value",
"destination": 0,
"disposition": 0,
"dst": "44203844711",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 3305,
"info": "value",
"is_root": true,
"live_id": 9067,
"parent_live_id": 3783,
"root_live_id": 480,
"server_id": 602,
"sip_endpoint_id": 8922,
"src": "32179243705",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 0,
"user_id": 8366
}
],
"total": 59
}
GET
/users/{id}/cdrs.csv Exports collection of Cdr resources to .csv file for given user
Parameters
Endpoint URL:
{id} integerUser identifier
Example Request
GET /v1.1/voipstudio/users/49/cdrs.csv HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 1666,
"active": true,
"created_at": "value",
"customer": 1236,
"email": "value",
"first_name": "value",
"is_initial": true,
"is_root": true,
"last_name": "value",
"legacy_api_key": "value",
"roles": "value",
"status": 4,
"two_factor_auth": 1,
"visited_apps": "value"
},
"links": {}
}
GET
/mediasessions/dictionaries Returns Dictionary for Media Session resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/mediasessions/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Unknown
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 1886,
"call_id": "value",
"created_at": "2024-06-03 21:29:22",
"dst_id": "value",
"dst_ua": "value",
"duration": 7881,
"src_id": "value",
"src_ua": "value",
"status": "value",
"type": "value",
"updated_at": "2024-06-03 21:46:14",
"user": 9807
}
],
"total": 59
}
Models
CDR
| Attribute | Data type | Description |
| id | integer | Object ID |
| duration | integer | Call duration in seconds |
| live_id | integer | The identifier of the Live Call that generated this CDR record. It can be used to look up related records, such as call recordings. |
| parent_live_id | integer | The identifier of parent (previous) Live Call that generated this CDR record. |
| user_id | integer | The identifier of the User who made the call. |
| sip_endpoint_id | integer | The identifier of the SIP Endpoint which made or received the call. |
| server_id | integer | The identifier of the Media Server which handled the call. |
| type | string | Call type: O (outbound), I (inbound), M (missed) |
| calldate | string | Date and time of the call in format YYYY-MM-DD H:I:S in UTC timezone |
| clid | string | Caller ID (if available) with number; |
| src_id | string | The identified of the Source of the call, for example User ID 10002 or Contact ID contact:3423 |
| src_name | string | String representation of Source of the call, for example Contact name |
| src | string | Telephone number associated with the Source of the call |
| src_ua | string | User agent of the Source of the call |
| src_codec | string | Audio Codec of the Source of the call |
| dst_id | string | The identified of the Destination of the call, for example User ID 10002, Contact ID contact:3423 an IVR IVR324 or a Queue Queue12443 |
| dst | string | Telephone number associated with the Destination of the call |
| dst_name | string | String representation of Destination of the call, for example Contact name or a Queue name |
| dst_ua | string | User agent of the Destination of the call |
| dst_codec | string | Audio Codec of the Source of the call |
| billsec | integer | Billable (connected) time of the call |
| disposition | string | Outcome of the call, one of: INITIAL, RINGING, CONNECTED, ON_HOLD or VM (Voicemail) |
| destination | string | Call direction: in (inbound), out (outbound), webcall (Web Call) or callmeback (Call Me Back) |
| context | string | Call context: PSTN_CALL, USER_LOCAL, IVR, FOLLOW_ME, TEST_CALL etc. |
| t_cause | string | Call termination reason, for example: Normal Clearing, User busy, No user responding etc. |
| info | string | Additional information about the call. |
| call_id | integer | Depreciated |
| is_root | boolean | Depreciated |
| root_live_id | integer | Depreciated |